package com.goafanti.patent.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;

public class PatentInfoDetailBo {
	private String	id;

	private String	uid;

	private String	unitName;

	private String	orgCode;

	private Integer	locationProvince;

	private Integer	locationCity;

	private Integer	locationArea;

	private String	postalAddress;

	private Integer	contacts;

	private String	serialNumber;

	private String	patentNumber;

	private String	patentName;

	private String	patentCatagory;

	private Integer	patentState;

	private Integer	patentField;

	private String	patentDes;

	private String	firstInventorName;

	private String	firstInventorNationality;

	private String	firstInventorIdNumber;

	private Integer	firstInventorIsPublish;

	private String	secondInventorName;

	private String	secondInventorNationality;

	private Integer	secondInventorIsPublish;

	private String	thirdInventorName;

	private String	thirdInventorNationality;

	private Integer	thirdInventorIsPublish;

	private String	patentProryStatementUrl;

	private String	patentWritingUrl;

	private String	authorizationNoticeUrl;

	private String	patentCertificateUrl;

	private String	office;

	private String	author;

	public String getAuthor() {
		return author;
	}

	public void setAuthor(String author) {
		this.author = author;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public Integer getLocationProvince() {
		return locationProvince;
	}

	public void setLocationProvince(Integer locationProvince) {
		this.locationProvince = locationProvince;
	}

	public Integer getLocationCity() {
		return locationCity;
	}

	public void setLocationCity(Integer locationCity) {
		this.locationCity = locationCity;
	}

	public Integer getLocationArea() {
		return locationArea;
	}

	public void setLocationArea(Integer locationArea) {
		this.locationArea = locationArea;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getContacts() {
		return contacts;
	}

	public void setContacts(Integer contacts) {
		this.contacts = contacts;
	}

	public String getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getPatentNumber() {
		return patentNumber;
	}

	public void setPatentNumber(String patentNumber) {
		this.patentNumber = patentNumber;
	}

	public String getPatentName() {
		return patentName;
	}

	public void setPatentName(String patentName) {
		this.patentName = patentName;
	}

	public String getPatentCatagory() {
		return patentCatagory;
	}

	public void setPatentCatagory(String patentCatagory) {
		this.patentCatagory = patentCatagory;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getPatentState() {
		return patentState;
	}

	public void setPatentState(Integer patentState) {
		this.patentState = patentState;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getPatentField() {
		return patentField;
	}

	public void setPatentField(Integer patentField) {
		this.patentField = patentField;
	}

	public String getPatentDes() {
		return patentDes;
	}

	public void setPatentDes(String patentDes) {
		this.patentDes = patentDes;
	}

	public String getFirstInventorName() {
		return firstInventorName;
	}

	public void setFirstInventorName(String firstInventorName) {
		this.firstInventorName = firstInventorName;
	}

	public String getFirstInventorNationality() {
		return firstInventorNationality;
	}

	public void setFirstInventorNationality(String firstInventorNationality) {
		this.firstInventorNationality = firstInventorNationality;
	}

	public String getFirstInventorIdNumber() {
		return firstInventorIdNumber;
	}

	public void setFirstInventorIdNumber(String firstInventorIdNumber) {
		this.firstInventorIdNumber = firstInventorIdNumber;
	}

	public Integer getFirstInventorIsPublish() {
		return firstInventorIsPublish;
	}

	public void setFirstInventorIsPublish(Integer firstInventorIsPublish) {
		this.firstInventorIsPublish = firstInventorIsPublish;
	}

	public String getSecondInventorName() {
		return secondInventorName;
	}

	public void setSecondInventorName(String secondInventorName) {
		this.secondInventorName = secondInventorName;
	}

	public String getSecondInventorNationality() {
		return secondInventorNationality;
	}

	public void setSecondInventorNationality(String secondInventorNationality) {
		this.secondInventorNationality = secondInventorNationality;
	}

	public Integer getSecondInventorIsPublish() {
		return secondInventorIsPublish;
	}

	public void setSecondInventorIsPublish(Integer secondInventorIsPublish) {
		this.secondInventorIsPublish = secondInventorIsPublish;
	}

	public String getThirdInventorName() {
		return thirdInventorName;
	}

	public void setThirdInventorName(String thirdInventorName) {
		this.thirdInventorName = thirdInventorName;
	}

	public String getThirdInventorNationality() {
		return thirdInventorNationality;
	}

	public void setThirdInventorNationality(String thirdInventorNationality) {
		this.thirdInventorNationality = thirdInventorNationality;
	}

	public Integer getThirdInventorIsPublish() {
		return thirdInventorIsPublish;
	}

	public void setThirdInventorIsPublish(Integer thirdInventorIsPublish) {
		this.thirdInventorIsPublish = thirdInventorIsPublish;
	}

	public String getPatentProryStatementUrl() {
		return patentProryStatementUrl;
	}

	public void setPatentProryStatementUrl(String patentProryStatementUrl) {
		this.patentProryStatementUrl = patentProryStatementUrl;
	}

	public String getPatentWritingUrl() {
		return patentWritingUrl;
	}

	public void setPatentWritingUrl(String patentWritingUrl) {
		this.patentWritingUrl = patentWritingUrl;
	}

	public String getAuthorizationNoticeUrl() {
		return authorizationNoticeUrl;
	}

	public void setAuthorizationNoticeUrl(String authorizationNoticeUrl) {
		this.authorizationNoticeUrl = authorizationNoticeUrl;
	}

	public String getPatentCertificateUrl() {
		return patentCertificateUrl;
	}

	public void setPatentCertificateUrl(String patentCertificateUrl) {
		this.patentCertificateUrl = patentCertificateUrl;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getOffice() {
		return office;
	}

	public void setOffice(String office) {
		this.office = office;
	}

	public String getPostalAddress() {
		return postalAddress;
	}

	public void setPostalAddress(String postalAddress) {
		this.postalAddress = postalAddress;
	}

}
